# class RSS::RDF::Channel

### Public Class Methods

new(*args) click to toggle source
Calls superclass method

    # File lib/rss/1.0.rb, line 225
    def initialize(*args)
      if Utils.element_initialize_arguments?(args)
        super
      else
        super()
        self.about = args[0]
      end
    end

required_uri() click to toggle source

    # File lib/rss/1.0.rb, line 201
    def required_uri
      ::RSS::URI
    end

### Private Instance Methods

maker_target(maker) click to toggle source

    # File lib/rss/1.0.rb, line 235
    def maker_target(maker)
      maker.channel
    end

setup_maker_attributes(channel) click to toggle source

    # File lib/rss/1.0.rb, line 239
    def setup_maker_attributes(channel)
      channel.about = about
    end